import Cookies from 'js-cookie'

const TokenKey = 'greemall_token'
const FanruanToken = 'fanruan_token'
const UseridKey = 'greemall_userid'

export function getFanruanToken() {
  return Cookies.get(FanruanToken)
}

export function setFanruanToken(token) {
  return Cookies.set(FanruanToken, token)
}

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getUserid() {
  return Cookies.get(UseridKey)
}

export function setUserid(userid) {
  return Cookies.set(UseridKey, userid)
}

export function removeUserid() {
  return Cookies.remove(UseridKey)
}

export function setUsercode(usercode) {
  return Cookies.set(UsercodeKey, usercode)
}

export function removeUsercode() {
  return Cookies.remove(UsercodeKey)
}
